"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index = require("../../@codemirror/view/dist/index.js");
const index$3 = require("../../@codemirror/state/dist/index.js");
const index$2 = require("../../@codemirror/language/dist/index.js");
const index$1 = require("../../@codemirror/commands/dist/index.js");
const index$5 = require("../../@codemirror/search/dist/index.js");
const index$4 = require("../../@codemirror/autocomplete/dist/index.js");
const index$6 = require("../../@codemirror/lint/dist/index.js");
const basicSetup = /* @__PURE__ */ (() => [
  index.lineNumbers(),
  index.highlightActiveLineGutter(),
  index.highlightSpecialChars(),
  index$1.history(),
  index$2.foldGutter(),
  index.drawSelection(),
  index.dropCursor(),
  index$3.EditorState.allowMultipleSelections.of(true),
  index$2.indentOnInput(),
  index$2.syntaxHighlighting(index$2.defaultHighlightStyle, { fallback: true }),
  index$2.bracketMatching(),
  index$4.closeBrackets(),
  index$4.autocompletion(),
  index.rectangularSelection(),
  index.crosshairCursor(),
  index.highlightActiveLine(),
  index$5.highlightSelectionMatches(),
  index.keymap.of([
    ...index$4.closeBracketsKeymap,
    ...index$1.defaultKeymap,
    ...index$5.searchKeymap,
    ...index$1.historyKeymap,
    ...index$2.foldKeymap,
    ...index$4.completionKeymap,
    ...index$6.lintKeymap
  ])
])();
exports.EditorView = index.EditorView;
exports.basicSetup = basicSetup;
